Package: org.grails.web.converters.configuration

## [Java] Interface ConverterConfiguration<C extends Converter>

- Authors:
    Siegfried Puchbauer
    Graeme Rocher
  Since:
    1.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CircularReferenceBehaviour` | `getCircularReferenceBehaviour()` Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)
    `` | `java.lang.String` | `getEncoding()` Lookup the configured default Character encoding for the Converter
    `` | `ObjectMarshaller<C>` | `getMarshaller(java.lang.Object o)` Lookup the ObjectMarshaller with the highest priority that support to marshall the given object
    `` | `java.util.List<ObjectMarshaller<C>>` | `getOrderedObjectMarshallers()` Retrieve the ordered list of ObjectMarshallers
    `` | `ProxyHandler` | `getProxyHandler()` Lookup the ProxyHandler used to deal with proxies instances.
    `` | `boolean` | `isCacheObjectMarshallerByClass()` Enables caching object marshaller selection by class.
    `` | `boolean` | `isPrettyPrint()` Lookup method whether the converter should default to pretty printed output

- - ### Method Detail

    - #### public CircularReferenceBehaviour getCircularReferenceBehaviour()

      Lookup the configured CircularReferenceBehaviour (how the converter should behave when a circular reference is detected)

      Returns:
        an instance of CircularReferenceBehaviour
      See Also:
        org.grails.web.converters.Converter.CircularReferenceBehaviour

    - #### public java.lang.String getEncoding()

      Lookup the configured default Character encoding for the Converter

      Returns:
        the Charset name

    - #### public ObjectMarshaller<C> getMarshaller(java.lang.Object o)

      Lookup the ObjectMarshaller with the highest priority that support to marshall the given object

      Parameters:
        `o` - the object which is about to be converted
      Returns:
        the ObjectMarshaller instance

    - #### public java.util.List<ObjectMarshaller<C>> getOrderedObjectMarshallers()

      Retrieve the ordered list of ObjectMarshallers

      Returns:
        the List of ObjectMarshallers ordered by priority

    - #### public ProxyHandler getProxyHandler()

      Lookup the ProxyHandler used to deal with proxies instances.

      Returns:
        The proxy handler

    - #### public boolean isCacheObjectMarshallerByClass()

      Enables caching object marshaller selection by class.

      Returns:
        a boolean

    - #### public boolean isPrettyPrint()

      Lookup method whether the converter should default to pretty printed output

      Returns:
        a boolean